viterbi.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | VITERBI_CONSTRAINT 7
#define | VITERBI_TAIL 1
#define | VITERBI_RATE 2
#define | V27POLYA 0x6d
#define | V27POLYB 0x4f

## Functions

void * | create_viterbi_packed (int16_t len)
int | init_viterbi_packed (void *vp, int starting_state)
int | update_viterbi_packed (void *vp, unsigned char sym[], uint16_t npairs)
int | chainback_viterbi_packed (void *vp, unsigned char *data, unsigned int nbits, unsigned int endstate)
void | delete_viterbi_packed (void *vp)
void | encode_viterbi_packed (unsigned char *channel, unsigned char *data, int framebits)
void | set_viterbi_polynomial_packed (int16_t polys[2])

## Macro Definition Documentation

## V27POLYA

#define V27POLYA 0x6d

## V27POLYB

#define V27POLYB 0x4f

## VITERBI_CONSTRAINT

#define VITERBI_CONSTRAINT 7

## VITERBI_RATE

#define VITERBI_RATE 2

## VITERBI_TAIL

#define VITERBI_TAIL 1

## Function Documentation

## chainback_viterbi_packed()

int chainback_viterbi_packed | ( | void * | vp,
|  | unsigned char * | data,
|  | unsigned int | nbits,
|  | unsigned int | endstate
| ) |  |

## create_viterbi_packed()

void * create_viterbi_packed | ( | int16_t | len | ) |

## delete_viterbi_packed()

void delete_viterbi_packed | ( | void * | vp | ) |

## encode_viterbi_packed()

void encode_viterbi_packed | ( | unsigned char * | channel,
|  | unsigned char * | data,
|  | int | framebits
| ) |  |

## init_viterbi_packed()

int init_viterbi_packed | ( | void * | vp,
|  | int | starting_state
| ) |  |

## set_viterbi_polynomial_packed()

void set_viterbi_polynomial_packed | ( | int16_t | polys[2] | ) |

## update_viterbi_packed()

int update_viterbi_packed | ( | void * | vp,
|  | unsigned char | sym[],
|  | uint16_t | npairs
| ) |  |